%define	name	freespace2
%define version 1.20cvs
%define	release	1
%define	gamedir	/usr/games/freespace2
%define	menupix /usr/share/pixmaps
%define	gnomenu /usr/share/gnome/apps
%define	kdemenu /usr/share/applnk
%define	submenu /Games/freespace2
%define	menudir /usr/lib/menu

%define name0 FreeSpace 2
%define icon0 %{menupix}/freespace2.png

%define link1 freespace2-readme
%define name1 Readme
%define icon1 %{menupix}/textfile.png
%define comment1 FreeSpace 2 Readme
%define gexec1 gedit %{gamedir}/README
%define kexec1 kedit %{gamedir}/README
%define term1 false
%define multiargs1 false
%define type1 Application

%define link2 freespace2
%define name2 FreeSpace 2
%define icon2 %{menupix}/freespace2.png
%define comment2 Play FreeSpace 2 
%define command2 /usr/bin/run-freespace2
%define gexec2 %{command2}
%define kexec2 %{command2}
%define term2 false
%define multiargs2 false
%define type2 Application
%define section2 Amusement/Simulation
%define needs2 X11

Summary:	Freespace 2 for Linux
Name:		%{name}
License:	Non-Commercial
Version:    	%{version}
Release:	%{release}
Vendor:		icculus.org
Url:		http://www.icculus.org/freespace2
Group:		Games
Source0:	%{name}.tar.gz
Source1:	Makefile.diff
Source2:	pstypes.h.diff
Source3:	FreeSpace2.ini
Source4:	freespace2.png
Source5:	textfile.png
Source6:	run-freespace2
Requires:	freespace2-data

%description
Freespace 2 for Linux is based on the Freespace 2 source code.
This project is NOT supported by Volition or Interplay.

%prep
%setup -q -n %{name}

%build
if ! [ -f /usr/lib/libGL.so ] && [ -f /usr/X11R6/lib/libGL.so ]; then
    ln -s /usr/X11R6/lib/libGL.so /usr/lib/libGL.so
    ln -s /usr/X11R6/lib/libGL.so /usr/lib/libGL.so.1
fi
patch Makefile %SOURCE1 -R
patch include/pstypes.h %SOURCE2 -R
make

%install
install -m0750 -g games -D %{name} $RPM_BUILD_ROOT/%{gamedir}/%{name}
install -m0640 -g games -D README $RPM_BUILD_ROOT/%{gamedir}/README
install -m0660 -g games -D %SOURCE3 $RPM_BUILD_ROOT/%{gamedir}/FreeSpace2.ini
install -m0644 -D %SOURCE4 $RPM_BUILD_ROOT/%{menupix}/freespace2.png
install -m0644 -D %SOURCE5 $RPM_BUILD_ROOT/%{menupix}/textfile.png
install -m0750 -g games -D %SOURCE6 $RPM_BUILD_ROOT/usr/bin/run-freespace2

%files
%{gamedir}
/usr/bin/run-freespace2
%{menupix}/freespace2.png
%{menupix}/textfile.png %config

%post
chown -R root:games %{gamedir}
chmod 770 %{gamedir}
chmod 750 %{gamedir}/freespace2
chmod 660 %{gamedir}/FreeSpace2.ini
chown root:games /usr/bin/run-freespace2
chmod 750 /usr/bin/run-freespace2

if ! [ -f /usr/lib/libGL.so ] && [ -f /usr/X11R6/lib/libGL.so ]; then
    ln -s /usr/X11R6/lib/libGL.so /usr/lib/libGL.so
    ln -s /usr/X11R6/lib/libGL.so /usr/lib/libGL.so.1
fi

if [ -d %{gnomenu} ]
then
    mkdir -p %{gnomenu}%{submenu}
    echo -e '\n[Desktop Entry]\nName=%{name0}\nIcon=%{icon0}\nType=Directory' > %{gnomenu}%{submenu}/.directory
    echo -e "\n[Desktop Entry]\nName=%{name1}\nComment=%{comment1}\nExec=%{gexec1}\nIcon=%{icon1}\nTerminal=%{term1}\nMultipleArgs=%{multiargs1}\nType=%{type1}" > %{gnomenu}%{submenu}/%{link1}.desktop
    echo -e '\n[Desktop Entry]\nName=%{name2}\nComment=%{comment2}\nExec=%{gexec2}\nIcon=%{icon2}\nTerminal=%{term2}\nMultipleArgs=%{multiargs2}\nType=%{type2}' > %{gnomenu}%{submenu}/%{link2}.desktop
    chmod 777 %{gnomenu}%{submenu}
    chgrp games %{gnomenu}%{submenu}/.directory
    chmod 664 %{gnomenu}%{submenu}/.directory
    chgrp games %{gnomenu}%{submenu}/*
    chmod 660 %{gnomenu}%{submenu}/*
fi

if [ -d %{kdemenu} ]
then
    mkdir -p %{kdemenu}%{submenu}
    echo -e '[Desktop Entry]\nName=%{name0}\nIcon=%{icon0}' > %{kdemenu}%{submenu}/.directory
    echo -e "[Desktop Entry]\nComment=%{comment1}\nExec=%{kexec1}\nIcon=%{icon1}\nMultipleArgs=%{multiargs1}\nName=%{name1}\nSwallowExec=\nSwallowTitle=\nTerminal=%{term1}\nTerminalOptions=\nType=%{type1}\nX-KDE-SubstituteUID=false\nX-KDE-Username=" > %{kdemenu}%{submenu}/%{link1}.desktop
    echo -e '[Desktop Entry]\nComment=%{comment2}\nExec=%{kexec2}\nIcon=%{icon2}\nMultipleArgs=%{multiargs2}\nName=%{name2}\nSwallowExec=\nSwallowTitle=\nTerminal=%{term2}\nTerminalOptions=\nType=%{type2}\nX-KDE-SubstituteUID=false\nX-KDE-Username=' > %{kdemenu}%{submenu}/%{link2}.desktop
    chmod 777 %{kdemenu}%{submenu}
    chgrp games %{kdemenu}%{submenu}/.directory
    chmod 664 %{kdemenu}%{submenu}/.directory
    chgrp games %{kdemenu}%{submenu}/*
    chmod 660 %{kdemenu}%{submenu}/*
fi

if [ -d %{menudir} ]
then
    echo -e '?package(%{name}): needs="%{needs2}" section="%{section2}" title="%{name2}" longtitle="%{comment2}" command="%{command2}" icon=%{icon2}' > %{menudir}/%{name}
    if [ -x /usr/bin/update-menus ]
    then
        /usr/bin/update-menus
    fi
fi

%postun
rm -rf %{gnomenu}%{submenu}
rm -rf %{kdemenu}%{submenu}
rm -f %{menudir}/%{name}
if [ -x /usr/bin/update-menus ]
then
    /usr/bin/update-menus
fi
